%define debug_package %{nil}
%define anolis_release 1

#
# spec file for package datop
#
Name:			data-profile-tools
Version:        1.0.0
Release:        %{?anolis_release}%{?dist}
Url:            https://gitee.com/anolis/data-profile-tools.git
Summary:        Dynamic memory numa access, hot and cold detect tools
License:        MulanPSLv2
Source:         %{name}-v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:	ncurses-devel
BuildRequires:	ncurses-libs
BuildRequires:	ncurses-static
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	check
BuildRequires:	check-devel
BuildRequires:	libtool
BuildRequires:	numactl
BuildRequires:	numactl-libs
BuildRequires:	numactl-devel

Vendor:         Alibaba

%description
Dynamic memory numa access, hot and cold detect tools

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -n %{name}-v%{version}

%build
./autogen.sh
make
cd src
make
cd ../

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/bin/
mkdir -p ${RPM_BUILD_ROOT}/etc/datop/
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/systemd/system/

cp -f src/datop_cgroup ${RPM_BUILD_ROOT}/usr/bin/
cp -f datop ${RPM_BUILD_ROOT}/usr/bin/
cp -rf script/datop.conf ${RPM_BUILD_ROOT}/etc/datop/
cp -rf script/datop_start.sh ${RPM_BUILD_ROOT}/etc/datop/
cp -rf script/datop_stop.sh ${RPM_BUILD_ROOT}/etc/datop/
cp -rf script/datop_start_post.sh ${RPM_BUILD_ROOT}/etc/datop/
cp -f script/datop.service ${RPM_BUILD_ROOT}/usr/lib/systemd/system/


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
rm -rf $RPM_BUILD_DIR/%{name}-v%{version}

%post
systemctl daemon-reload

%files
%license  LICENSE  COPYING
/usr/bin/datop_cgroup
/usr/bin/datop
/usr/lib/systemd/system/datop.service
/etc/datop/datop.conf
/etc/datop/datop_start.sh
/etc/datop/datop_start_post.sh
/etc/datop/datop_stop.sh

%files doc
%doc README.txt AUTHORS

%changelog
* Fri Nov 18  2022 Xin Hao <xhao@linux.alibaba.com> - 1.0.0-1
- Init datop cgroup support.
